#!/bin/bash
LogDatei="/mnt/Netz/DB_startup.log"
OrigDatei="/mnt/Netz/Original/DB.odb"
UserBasedDirectory="/mnt/Netz/$HOSTNAME/$USER"

echo `date`" $HOSTNAME-$USER {Script gestartet ..." >> $LogDatei

if [ ! -d $UserBasedDirectory ]; then
        echo `date`" $HOSTNAME-$USER lege Verzeichnis an: $UserBasedDirectory" >> $LogDatei
        mkdir -p $UserBasedDirectory
fi
if [ ! -f $UserBasedDirectory/DB.odb ]; then
        echo `date`" $HOSTNAME-$USER kopiere $OrigDatei ins Userverzeichnis" >> $LogDatei
        cp -p $OrigDatei $UserBasedDirectory/DB.odb
else
        echo `date`" $HOSTNAME-$USER md5sum-Check" >> $LogDatei
        md5orig=$(md5sum $OrigDatei | cut -d' ' -f1)
        echo `date`" $HOSTNAME-$USER md5sum-Check $OrigDatei = $md5orig" >> $LogDatei
        md5user=$(md5sum $UserBasedDirectory/DB.odb | cut -d' ' -f1)
        echo `date`" $HOSTNAME-$USER md5sum-Check   UV/DB.odb = $md5user" >> $LogDatei
        test "$md5orig" = "$md5user" && echo `date`" $HOSTNAME-$USER Version ok" >> $LogDatei \
                                     && KopierenJN="NO" \
                                     || KopierenJN="YES"
        if [ "$KopierenJN" = "YES" ] ; then
                echo `date`" $HOSTNAME-$USER Kopiere Original -> UserVerzeichnis" >> $LogDatei
                cp -p $OrigDatei $UserBasedDirectory/DB.odb
                echo `date`" $HOSTNAME-$USER Kopieren abgeschlossen!" >> $LogDatei
        else
                echo `date`" $HOSTNAME-$USER KEIN KOPIEREN!" >> $LogDatei
        fi
fi

echo `date`" $HOSTNAME-$USER Starte LO ... $UserBasedDirectory/DB.odb" >> $LogDatei
libreoffice --norestore $UserBasedDirectory/DB.odb &
echo `date`" $HOSTNAME-$USER ... Script wird beendet}" >> $LogDatei

disown
exit 0

